vmware 5.53 on 7.04 的安装

为当前最终发行版之前的所有版本提供支持
回复
头像
arli
帖子: 194
注册时间: 2006-11-24 11:00
来自: 太阳系第3行星
送出感谢: 0
接收感谢: 0
联系:

vmware 5.53 on 7.04 的安装

#1

帖子 arli » 2007-01-22 22:29

7.04 下怎么搞都还是有问题,一些问题到h2 还是没有解决。。到了h2更甚我的usb硬盘都没有弹出这个选项,但都是些小问题,而且更新很快。。

704 h2的内核是最新的 .20 的,一些界面也有所优化。。就是vmware 装不上。。当时(现在退回610了)比较郁闷,以下是我在 704下解决vmware 的安装问题的方法

安装到 compat_kernel.h 一直有 compat_exit 问题,主要是因为新内核的头文件变更了

解决的办法是把 /usr/lib/vmware/modules/source/vmmon.tar 里的 include/compat_kernel.h 文件里的

#define __NR_compat_exit __NR_exit
inline _syscall1(int,compat_exit, int, exit_code);

改成

int compat_exit(int exit_code);

再安装就可以了
要爱护linux 就象爱护我们的庄稼地一样
phoenix520
帖子: 29
注册时间: 2006-05-14 23:24
送出感谢: 0
接收感谢: 0

#2

帖子 phoenix520 » 2007-02-08 13:19

用LIVE CD启动进入系统后点击桌面上的安装链接,一路下去没有遇到任何问题!
alteeno
帖子: 254
注册时间: 2006-01-18 18:11
送出感谢: 0
接收感谢: 0

#3

帖子 alteeno » 2007-02-28 15:41

好方法,收藏一个.
回复

回到 “老旧版本支持”